Microsoft .NET Framework SDK 1.0/1.1 - MSIL Tools Buffer Overflow

EDB-ID:

27476


Author:

Dinis Cruz

Type:

dos


Platform:

Windows

Date:

2006-03-27


Become a Certified Penetration Tester

Enroll in Penetration Testing with Kali Linux , the course required to become an Offensive Security Certified Professional (OSCP)

GET CERTIFIED

source: https://www.securityfocus.com/bid/17243/info

Microsoft .NET Framework SDK contains tools for assembling and disassembling MSIL files. These tools are prone to buffer-overflow vulnerabilities that attackers could exploit to cause a denial of service or potentially execute arbitrary code.

These issues were reported to affect the .NET Framework SDK version 1.1 SP1; earlier versions may also be affected. Version 2.0 may also be affected, but code execution does not seem possible.

https://github.com/offensive-security/exploitdb-bin-sploits/raw/master/bin-sploits/27476.zip